troyboy66

P3dv4.5 - Upgrade or Not

P3dv4.5 - Upgrade or NOT  

119 members have voted

  1. 3. Is i too early to upgrade to P3Dv4.5?

    • Yes
      60
    • No
      59


Recommended Posts

P3Dv4.5 - Is this the time to ugrade?

  • Like 1

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

Depends if the upcoming FSLABS A320 update needs 4.5

 

 

  • Like 2

Share this post


Link to post
Posted (edited)

I wait to update the P3D when Active Sky releases a new compatible version..., because always it appears issues in the LM's first week release.

Edited by padrot
  • Upvote 1

Share this post


Link to post
Posted (edited)
1 hour ago, planechaser said:

Depends if the upcoming FSLABS A320 update needs

According to the developer, it does need an update.

 

 

Edited by troyboy66

Share this post


Link to post
2 minutes ago, padrot said:

I wait to update the P3D when Active Sky releases a new compatible version..., because always it appears issues in the LM's first week release.

Active Sky already has a 4.5 compatible version, 7035

Share this post


Link to post
3 minutes ago, padrot said:

I wait to update the P3D when Active Sky releases a new compatible version..., because always it appears issues in the LM's first week release.

There is a beta version available https://hifisimtech.com/downloads/

Share this post


Link to post
2 minutes ago, Sethos1988 said:

Active Sky already has a 4.5 compatible version, 7035

 

2 minutes ago, troyboy66 said:

There is a beta version available https://hifisimtech.com/downloads/

Yes, but it's an open beta, not the final version that I like to install.

Regards to both of you guys

  • Upvote 1

Share this post


Link to post

Well, they managed to totally break Oculus VR in this release.  Wonder what else is broken.  

Sorry but I'm rather stunned at their lack of software testing...

 

rgds, 

JB

Share this post


Link to post
1 hour ago, joby33y said:

Wonder what else is broken.

Who knows! I'm usually lucky with updates, but based on the number of dissatisfied reports, and this current poll, I'll probably stay away for a bit.

Share this post


Link to post

Have only just updated to 4.4, and now another update. Will probably wait awhile, before doing it again.

Share this post


Link to post

I’m still on 4.3. Tomatoshade is good enough pbr and if it ain’t broke don’t fix it. 🙂

Share this post


Link to post
2 hours ago, UAL4life said:

I’m still on 4.3. Tomatoshade is good enough pbr and if it ain’t broke don’t fix it. 🙂

Your missing out. 4.4 and now 4.5 is a pretty substantial upgrade over 4.3 as far as point releases go.

  • Upvote 1

Share this post


Link to post

I’m too afraid lol. It took so much effort to get where I’m at and I don’t have much free time to start over.

Could you make a few points about what I am missing out to entice me perhaps? After going over the now two change logs other than pbr not much has changed where it comes to long to medium haul flying...

Share this post


Link to post

I succsesfully installed all my Add-On's in a clean (complete) v4.5 exept 2 of them:

EZCA v2- which is to be updated in max 1 week from now (since I also own ChasePlane, which is already compatible, i run that instead)

FSL Stuff - but I think they are close to a release

Meanwhile I've installed everything out of my signature including the NGX and the CRJ and some of my airports (LOWI, EDDM, EDNY,...). Also did a short hop from LOWI to EDDM and had zero issues. Haven't had the time to make my own assesment if it's better or not than 4.4, but it seemd to work fine.

  • Like 1

Share this post


Link to post

As has been reported on the Prepar3D forum, some people cannot even start up P3D v4.5 which may be a blessing in disguise since significant drops in fps have also been reported by a few who can use it.

Share this post


Link to post
6 hours ago, padrot said:

 

Yes, but it's an open beta, not the final version that I like to install.

Regards to both of you guys

Most software for sale is essentially beta anymore. Some software companies are even selling alpha copies these days.

Technology is so dynamic and the system specs are so wide ranging...I guess there is no choice.🤷‍♂️

Share this post


Link to post
45 minutes ago, LecLightning56 said:

As has been reported on the Prepar3D forum, some people cannot even start up P3D v4.5 which may be a blessing in disguise since significant drops in fps have also been reported by a few who can use it.

I would be very careful in regard of those reports  / statements.

First off all just to be clear:

YES! There are a lot who have tons of Add-On's who fear every single update because:

A) The time needed to eventualy do a FULL install

B) Fear of incompatibility

Because of A and B, many (or most) users do Client or Content upgrades only. Some of them have no idea how exactly to perform those operations (the correct order) which leads to many "false" bugs. It's because A) that LM implemented the XML method but not ALL DEV's use it at this time

In my case I ALWAYS "WIPE" everything which installs within P3D Directory and take those 3-4 days time to install all of it back "bit" by "bit". How do I do that?

I UNINSTALL EVERYTHING (which does not use XML method) in the opposite order I installed them, even restoring the changes if the Add-On's GUI has that option. After uninstalling that stuff, I wipe all remaining files out of /AppData: Local/L Low/ Roaming / etc, Programs (x86), ProgramData etc...(you got the point).

After all is gone I move all the XML Addons in another .OFF Directory and restart my PC.

Then I start again with the installations ALWAY checking in between how the SIM performs.

Doing this, I NEVER encountered ANY issues with the new version (but it takes a lot of time).

 

It takes more time to debug a failed installation however....

 

Share this post


Link to post

For me it was flawless, but heck... I'm not the typical simmer who uses P3D 🙂

ORBX FTX Global installed flawlessly over it, so did PMDG 777  and Aerosoft Madeira ( LPMA ). I didn't yet install the FSLabs A319, and will wait for their update for both the 320 and 319.

P3D is always used in my rig with all graphics bells & whistles turned off, no shadows, no traffic although in Madeira I do see cars on roads, all very simple because I just want to simulate FLIGHT, not really sight seeing, and IFR mostly is my goal, so everything a bit better than the very basic ELITE XTS or Aerowinx PSX visuals is just great !

From version to version I notice improvements in performance, less to no stutters at all. I use VSync on and triple buffering.

My rig is a 2011 i5 2500 @ 3,2 GHz, and a GTX 960 4GB GPU. 16 GB DDR3 RAM, Win 10 Pro 64 bit. I have two SSDs ( 240GB ) one for the sims the other for the rest.

Share this post


Link to post
Posted (edited)
8 hours ago, planechaser said:

Depends if the upcoming FSLABS A320 update needs 4.5

It is supposed to work on 4.2-4.5.
Source: Blackbox711 in his latest twitch stream (yesterday).

However using 4.5 may be a good idea, as e.g. LM is said to have fixed a bug which made VC rain effects stop working sometimes.

Edited by Rafal

Share this post


Link to post
2 hours ago, GEKtheReaper said:

EZCA v2- which is to be updated in max 1 week from now (since I also own ChasePlane, which is already compatible, i run that instead)

Are you sure of that? I thought EZCA V2 is discontinued and V3 is current. It appears that P3D v4.5 compatibility is only with V3: https://www.simforums.com/forums/ezca-for-p3d-4-5-here_topic61448.html

Share this post


Link to post
26 minutes ago, Rafal said:

It is supposed to work on 4.2-4.5.
Source: Blackbox711 in his latest twitch stream (yesterday).

However using 4.5 may be a good idea, as e.g. LM is said to have fixed a bug which made VC rain effects stop working sometimes.

I don’t think I’ve ever seen the rain not working.

Am thinking of staying with 4.4 Also never had any black PBR. So at the moment am in the camp of “if it’s not broke don’t fix it”

  • Like 3

Share this post


Link to post
11 minutes ago, Nyxx said:

I don’t think I’ve ever seen the rain not working.

Am thinking of staying with 4.4 Also never had any black PBR. So at the moment am in the camp of “if it’s not broke don’t fix it”

I pulled the trigger and upgraded David, along with AS4, ASCA, Tomatoshade, Flight1 GTN and EZDOK v3, and I had no problems. My work order was:

1. Restore original shaders from Tomatoshade

2. Delete P3D V4.4 shaders

3. Uninstalled Client

4. Deleted P3D cfg

5. Installed P3D V4.5 Client

6. Deleted P3D V4.4 Content

7. Installed P3d V4.5 Content.

8. Ran P3D.

9. Exited P3D and opened FTX Central and allowed it to do its thing.

10. Shut down and rebooted.

11. Ran Tomatoshade and installed shaders.

12. Ran P3D.

13. Happy days.

 

  • Like 3

Share this post


Link to post
51 minutes ago, Cargostorm said:

Are you sure of that? I thought EZCA V2 is discontinued and V3 is current. It appears that P3D v4.5 compatibility is only with V3: https://www.simforums.com/forums/ezca-for-p3d-4-5-here_topic61448.html

Yes! The developer has stated this on he's forum and also Nick reported it here: https://www.avsim.com/forums/topic/552824-p3d-v45-add-on-compatibility-list/

EZCA v2 was announced to be discontinued but since v4.5 is JUST a point update AND EZCA v3 seems to have some issues, the DEV's aprooved to an update (which is the only thing that makes sense given the point update)

  • Upvote 1

Share this post


Link to post
8 hours ago, joby33y said:

Well, they managed to totally break Oculus VR in this release.  Wonder what else is broken.  

Sorry but I'm rather stunned at their lack of software testing...

 

rgds, 

JB

companies dont beta test with other software anymore.  Orbx orlando is not compatible with the PMDG 747  or FSL 320 for example.  Bring it up on their forum and they will just shill you with "youre pc isnt powerfull enough"  and all that jazz.  Its the standard get out clause.  blame it on the users pc.

Share this post


Link to post
1 hour ago, Nyxx said:

So at the moment am in the camp of “if it’s not broke don’t fix it”

after the drama I had with 4.4 and stutters for weeks, im not going anywhere near it 

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now